| Home | Libraries | People | FAQ | More

##### set_from_radian

set coordinate value (in radian) to a point

###### Description

Coordinate value will be set correctly, if coordinate system of point is in Degree, Radian value will be converted to Degree

###### Synopsis

    template<std::size_t Dimension, typename Geometry>
    void set_from_radian(Geometry & geometry, typename fp_coordinate_type< Geometry >::type const & radians)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Dimension | dimension | - | Must be specified
Geometry & | geometry | geometry | geometry to assign coordinate to
typename fp_coordinate_type< Geometry >::type const & |  | radians | coordinate value to assign

###### Header

Either

`#include <boost/geometry.hpp>`

Or

`#include <boost/geometry/core/radian_access.hpp>`